﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace UserControlTest01
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {
        public static DependencyProperty InputTextProperty;

        public UserControl1()
        {
            InitializeComponent();
        
            //
            InputTextProperty = DependencyProperty.Register("InputText", typeof(string),
                            typeof(UserControl1),
                            new FrameworkPropertyMetadata("none", new PropertyChangedCallback(OnInputTextChanged)));
        }

        public string InputText
        {
            set { SetValue(InputTextProperty, value); }
            get { return (string)GetValue(InputTextProperty); }
        }
          
        private void OnInputTextChanged(DependencyObject sender, DependencyPropertyChangedEventArgs e)
        {
            TextBlock tb = this.FindName("txtShow") as TextBlock;

            tb.Text = InputText;
        }
    }
}
